Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v1
Class FolderType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v1.FolderType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:46:20+02:00",
               comments="JAXB RI v2.2.11")
    public class FolderType

extends Object
implements Serializable

Java class for folderType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="folderType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v1}PatientIdType"/>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v1}TransactionSummaryType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FolderType()`

Method Summary
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`TransactionSummaryType` | `getTransaction()` Gets the value of the transaction property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
`void` | `setTransaction(TransactionSummaryType value)` Sets the value of the transaction property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderType

    public FolderType()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getTransaction

    public TransactionSummaryType getTransaction()

  Gets the value of the transaction property.

  Returns:
    possible object is `TransactionSummaryType`

### setTransaction

    public void setTransaction(TransactionSummaryType value)

  Sets the value of the transaction property.

  Parameters:
    `value` - allowed object is `TransactionSummaryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.